# 点测数据处理

## 导入点测数据到CIFLog

首先打开数据管理功能，找到需要使用的井，在项目上点击右键设置主项目。

![设置主项目](images/point_data_process_01.png)

接着打开数据格式转换功能，打开点测数据。
这里可以先选择第一个文件，然后按住Shift键，点击最后一个文件，来多选点测数据文件。

![打开点测数据](images/point_data_process_02.png)

点击转换按钮，将数据导入对应的井中。

![导入数据](images/point_data_process_03.png)

最后数据存放于工作井次的旁边如图所示。

![导入结果](images/point_data_process_04.png)

## 导入点测数据到工作井次

打开导入点测数据功能，选择之前导入CIFLog的点测数据井次。
这里可以先选择第一个井次，然后按住Shift键，点击最后一个井次，来多选点测数据井次。

![选择点测数据井次](images/point_data_process_05.png)

在上下两个列表中，修改井次与深度的对应关系，以及原曲线名称与导入数据名称的对应关系。

![点测数据导入工作井次](images/point_data_process_06.png)

这里默认只导入必要数据，即FDEN流体密度，FLOW涡轮转速，TEMP流体温度。
导入名称为空白的数据将不会被导入。点击导入按钮，将点测数据导入当前工作井次。

导入后，在当前工作井次的`文档`数据里面，会出现`point_data.bin`文件，导入的点测数据就保存在里面。
如果要删除点测数据重新导入，删除`文档`里面的`point_data.bin`即可。

![点测数据文档](images/point_data_process_07.png)

## 点测数据生成曲线

导入点测数据到工作井次以后，打开点测数据处理界面，点击计算按钮，将生成点测组成的曲线和表格。

![点测数据处理界面](images/point_data_process_08.png)

点击删除按钮可以删除生成的点测相关的曲线和表格，便于重新生成。

点测数据会舍弃最大和最小5%的记录，减少异常测量数据对结果的影响。

## 点测曲线绘图

将点测曲线添加到绘图的方法，与添加普通曲线一样，在绘图上面添加常规曲线即可。相关设置也和常规曲线一样。

![点测曲线设置](images/point_data_process_09.png)

将点测深度表格添加到绘图，则需要添加一个离散曲线中的表格文本。

在表格文本设置里面，选择表格为`POINT_DEPTH_TABLE`表格。
起始深度选择`START_DEPTH`，终止深度列选择`END_DEPTH`，显示列数为1。
修改显示名称为希望显示的名字，双击文本对应的单元格，点击插入表列，选择`ID`。
最后点击确定即可显示点测的深度表格。

![点测深度表格设置](images/point_data_process_10.png)

修改显示列数为2，双击文本对应的单元格，点击插入表列，选择`COMMENT`。
最后点击确定即可显示点测的深度所对应的FLOW曲线的数值。

![添加点测FLOW数值列](images/point_data_process_11.png)